﻿html, body {
  height: 100%;
}
body {
  margin: 0;
  color: #333;
}
.widget {
    height: 100%;
    display: grid;
    grid-template-rows: auto 1fr auto;
}
.widget-content {
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    border-left: solid 2px #666;
    border-right: solid 2px #666;
}

/* -------------------------------
   header
   ------------------------------- */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 6px 0 0;
    background: #666;
    color: #000;
    container-type: inline-size;
}
header h1 {
    display: inline-block;
    color: #fff;
    font-size: 14px;
}
header h1 span {
    color: #FFF;
}
header h1 img {
    width: auto;
    height: 42px;
}
.header-link {
    display: flex;
    align-items: center;
    gap: 2px;
    font-size: 11px;
    color: #fff;
    background: #666;
    text-decoration: none;
    border-radius: 4px;
    text-align: center;
    padding: 8px;
}
.header-link::before {
    content: "▶";
    display: block;
    font-size: 8px;
}
.header-link::after{
    content: "もっと見る";
    display: block;

}
@container (max-width: 290px) {
.header-link::after {
    display: none;
  }
}
/* -------------------------------
   footer
   ------------------------------- */
.widget-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    background: #666;
    text-decoration: none;
    opacity: 1;
    margin-bottom: 0;
}
.widget-footer p a {
    font-size: 12px;
    color: #fff;
    position: relative;
}
.footer-logo {
    width: 120px;
    height: 24px;
    background: url(/../img/index/logo_head.png) no-repeat center;
    background-size: contain;
}

/* -------------------------------
   店長ブログ
   ------------------------------- */
/*カラー上書き*/
.m_blog .widget-content {
    border-color: #a6cdfd;
}
.m_blog header {
    background: #a6cdfd;
}
.m_blog header h1 span {
    color: #4789db;
}
.m_blog .header-link {
    background: #79B2F2;
}
.m_blog .widget-footer {
    background: #a6cdfd;
}
/*コンテンツ中身*/
.blog-list {
    padding: 8px;
}
.blog-list li:nth-child(n+2) {
    padding:8px 0 0 0;
    margin: 8px 0 0 0;
    border-top: 1px dashed #DDD;
}
.blog-link {
    display: flex;
    gap: 5px;
    text-decoration: none;
    color: #F772B7;
    background: #fff;
}
.blog-thumb {
    width: 120px;
    min-width: 120px;
    height: 80px;
    overflow: hidden;
}
.blog-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.blog-body {
    flex: 1;
    min-width: 0;
    display: flex;
    flex-direction: column;
}
.blog-text-area {
    display: flex;
    flex-direction: column;
    width: 100%;
}
.blog-title {
    font-size: 12px;
    font-weight: 600;
    line-height: 1.35;
    margin: 0 0 5px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.blog-text {
    font-size: 12px;
    line-height: 1.5;
    color: #666;
    margin: 0 0 6px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.blog-text-area .odai {
    display: block;
    font-size: 0.7rem;
    color: #666;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.blog-text-area .odai::before {
    content: "";
    background: url(/svg/sp/ic_odai.svg) no-repeat;
    width: 30px;
    height: 15px;
    background-size: contain;
    display: inline-block;
    vertical-align: middle;
    margin-right: 2px;
}
.blog-date {
    font-size: 12px;
    color: #999;
    margin-top: auto;
    align-self: flex-end;
    text-align: right;
}
@media screen and (min-width:750px) {
    .blog-thumb {
    width: 200px;
    min-width: 200px;
    height: 133px;
}
}

/* -------------------------------
   女の子インタビュー
   ------------------------------- */
/*カラー上書き*/
.interview .widget-content {
    border-color: #ffc4e7;
}
.interview header {
    background: #ffc4e7;
}
.interview header h1 span {
    color: #F772B7;
}
.interview .header-link {
    background: #FFABDC;
}
.interview .widget-footer {
    background: #ffc4e7;
}
/*コンテンツ中身*/
.interview .widget-content {
    padding:8px;
}
.disc_interview {
    display: flex;
    flex-direction: column;
    gap: 8px;
    word-break: break-all;
    background: #fff;
}
.disc_interview:nth-child(n+2) {
    padding:16px 0 0 0;
    margin: 8px 0 0 0;
    border-top: 1px dashed #DDD;
}
.disc_interview .top_wrap {
    display: flex;
    gap: 8px;
}
.disc_interview .ttl {
    line-height: 1.3;
    color: #F772B7;
    font-family: "ヒラギノ丸ゴ Pro W4","ヒラギノ丸ゴ Pro","Hiragino Maru Gothic Pro","ヒラギノ角ゴ Pro W3","Hiragino Kaku Gothic Pro","HG丸ｺﾞｼｯｸM-PRO","HGMaruGothicMPRO";
    font-weight: normal;
    font-size: 16px;
}
.disc_interview .interview_image {
    display: block;
    width: 90px;
    max-height: 135px;
    overflow: hidden;
}
.disc_interview .interview_image img {
    width: 100%;
    height: auto;
}
.disc_interview .interview {
    flex: 1;
    color: #333;
    font-size: 12px;
}
.disc_interview .interview .name {
    margin: 0 0 4px 0;
    color: #333;
    font-family: "ヒラギノ丸ゴ Pro W4","ヒラギノ丸ゴ Pro","Hiragino Maru Gothic Pro","ヒラギノ角ゴ Pro W3","Hiragino Kaku Gothic Pro","HG丸ｺﾞｼｯｸM-PRO","HGMaruGothicMPRO";
    font-weight: normal;
    font-size: 16px;
}
.disc_interview .interview .name .gal_name_add {
    color: #333;
    font-weight: normal;
    font-size: 10px;
}
.disc_interview .interview .name .age {
    font-size: 12px;
}
.disc_interview dl {
    line-height: 1.5;
}
.disc_interview dt {
    line-height: 1.6;
    color: #F772B7;
    font-weight: bold;
    font-size: 12px;
    padding: 0 0 4px 0;
}
.disc_interview dd {
    line-height: 1.4;
    padding: 0 0 12px 0;
    font-size: 14px;
}

/* -------------------------------
   動画
   ------------------------------- */
/*カラー上書き*/
.movie .widget-content {
    border-color: #ffee86;
}
.movie header {
    background: #ffee86;
}
.movie header h1 span {
    color: #fca300;
}
.movie .header-link {
    background: #F4C344;
}
.movie .widget-footer {
    background: #ffee86;
}
/*コンテンツ中身*/
.movie_list {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap:8px;
    padding: 8px;
}
.movie_list li {
    position: relative;
    width: calc(50% - 4px);
    position: relative;
    border: solid 1px #ddd;
    box-sizing: border-box;
}
.movie_list li.channel::before {
    content: "\3044\3061\3054\30C1\30E3\30F3\30CD\30EB";
    position: absolute;
    top: 2px;
    left: 2px;
    height: 14px;
    line-height: 1.2;
    padding: 2px 8px 1px 8px;
    border: solid 1px rgba(75, 190, 190, .9);
    border-radius: 16px;
    color: #fff;
    background: rgba(75, 190, 190, .9);
    font-size: 11px;
    z-index: 1;
    box-shadow: 1px 1px 0 1px rgba(0, 0, 0, .2);
}
.movie_list li img {
    width: 100%;
}
.movie_list li .bt {
    display: block;
    width: 40px;
    height: 40px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background: url(https://www.15navi.com/pc/img/common/bt_play02.png) no-repeat left top;
    overflow: hidden;
}
.movie_list li p.label {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 8px;
    box-sizing: border-box; 
    background: rgba(0,0,0,0.7);
    font-size: 12px;
}
.movie_list li p.label span {
    display: block;
    width: 100%;
    line-height: 1.4;
    color: #fff;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}
.movie_list li a {
    display: block;
}
.movie_list li a:hover {
    opacity: .8;
    transition: all .2s ease;
}
@media screen and (max-width:750px) {
    .movie_list li {
        width: 100%;
    }
    .movie_list li:nth-child(2n) {
        border-left: solid 1px #ddd;
    }
    .movie_list li:nth-last-child(1) {
        margin-bottom: 0;
    }
    .movie_list li p.label {
        font-size: 11px;
    }
}

/* -------------------------------
   ブラックモード
   ------------------------------- */
body.black header {
    background: #000;
}
body.black header h1 span {
    color: #fff;
}
body.black .widget-content {
    border-color: #000;
}
body.black .widget-footer {
    background: #000;
}
body.black .header-link {
    background: #e5e5e5;
}
body.black .header-link::before,
body.black .header-link::after {
    color: #000;
}

/* -------------------------------
   headerサイズオプション
   ------------------------------- */
header.min h1 {
    padding: 6px;
}
header.min::after {
    display: none;
}
header.min .header-link {
    display: none;
}